#!/bin/bash
# vim:sw=8:noet

soc_init() {
	[ -n "${MEDIATABLE-}" ] || MEDIATABLE=msdos
	ROOTPART_NUM=1
}

soc_write_rootfs() {
	[ -z "${IMAGE_OUT-}" ] || prepare_image
	create_disklabel
	create_partition
	[ -z "${IMAGE_OUT-}" ] || finish_partitioning
	sync_partitions
	format_partition
	mount_partition
	write_rootfs
	setup_fstab
	update_cmdline_txt
}

soc_write_bootloader() {
	[ -n "$TMPROOT" ] || mount_partition
}

soc_exit() {
	:
}
